Arch Remove/zh-cn: Difference between revisions

From FreeCAD Documentation
(Created page with "移除工具允许您执行两种操作: * 从建筑对象中移除一个子构件,例如像建筑添加工具示例中那样,将添加至墙体的立方体...")
No edit summary
Line 13: Line 13:
移除工具允许您执行两种操作:
移除工具允许您执行两种操作:
* 从建筑对象中移除一个子构件,例如像[[Arch Add|建筑添加工具]]示例中那样,将添加至墙体的立方体移除掉。
* 从建筑对象中移除一个子构件,例如像[[Arch Add|建筑添加工具]]示例中那样,将添加至墙体的立方体移除掉。
* 从如[[Arch Wall|墙体(wall)]] [[Arch Structure|结构构件(structure)]]等建筑构件中去掉具有[[Part Module|形状(shape)]]的对象。
* 从如[[Arch Wall|墙体(wall)]]或[[Arch Structure|结构构件(structure)]]等建筑构件中去掉具有[[Part Module|形状(shape)]]的对象。


[[Arch Add|建筑添加]]工具与本工具功能相反。
[[Arch Add|建筑添加]]工具与本工具功能相反。

Revision as of 17:24, 17 June 2019

Arch Remove

Menu location
Arch → Remove
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch Add

描述

移除工具允许您执行两种操作:

建筑添加工具与本工具功能相反。

从墙体中去掉一个立方体,于是便留下了一个洞。

如何使用

  1. 选中建筑对象中的某个子构件。
  2. Remove按钮。

或者

  1. 先选择待移除的(若干)对象,最后选择主建筑对象(也就是要从中去掉前面所选的对象)。
  2. Remove按钮。

脚本

参阅: Arch APIFreeCAD Scripting Basics

通过下列函数就可以在macrosPython控制台中使用移除工具:

removeComponents(objectsList, host=None)
  • 从父对象中去掉objectsList里的诸对象。
  • 如果指定了host对象,此函数将试图从host中去掉与objectsList里诸对象的交集。

示例:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()